## kde4libs 4.6.2

=== CMakeLists.txt ===
project(kdelibs)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Make CPack available to easy generate binary packages
include(CPack)

################# set KDE specific information #################

set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 6)
set (KDE_VERSION_RELEASE 2)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
set (KDE_VERSION_STRING "${KDE_VERSION} (4.6.2)")

set (KDE_DISTRIBUTION_TEXT "compiled sources" CACHE STRING "Indicate the distribution in bug reports" )

# win32: give kde home in debug mode a different name as the  release home dir because the settings and caches are different
if (WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (_KDE_DEFAULT_HOME_POSTFIX "-debug" CACHE STRING "default KDE home directory postfix" )
endif (WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
set (KDE_DEFAULT_HOME ".kde${_KDE_DEFAULT_HOME_POSTFIX}" CACHE STRING "The default KDE home directory" )

# this must be before FindKDE4Internal in order to preset the result of the visibility test, so that it will be skipped
option(KHTML_BUILD_TESTREGRESSION "Build KHTML's testregression. Note: this disables hidden visibility")
# Disable visibility if testregression is built, because the symbols are needed then
if (KHTML_BUILD_TESTREGRESSION)
   set (__KDE_HAVE_GCC_VISIBILITY 0)
endif (KHTML_BUILD_TESTREGRESSION)

option(STATIC_LIBRARY "Build kdelibs as static libraries." FALSE)

################# write platform profile file which will be installed #################
include(CreateKDEPlatformProfile.cmake)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
endif(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)

################# now find all used packages #################

set (QT_MIN_VERSION "4.7.0")

find_package(KDE4Internal REQUIRED)
include(KDE4Defaults)
include (MacroLibrary)
if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

if(UNIX AND Q_WS_X11)
  #X11 Session Management (SM) is required
  #X11_SM_FOUND is set in FindX11, which is required by KDE4Internal
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)
endif(UNIX AND Q_WS_X11)

#required features:
# Perl is used e.g. in khtml, kjs, kjsembed and others
find_package(Perl)
macro_log_feature(PERL_FOUND "Perl" "Needed for building kdelibs" "http://www.perl.org" TRUE "" "")

find_package(ZLIB)
macro_log_feature(ZLIB_FOUND "ZLib" "Support for gzip compressed files and data streams" "http://www.zlib.net" TRUE "" "Required by the core KDE libraries and some critical kioslaves")

set(STRIGI_MIN_VERSION 0.6.3)
find_package(Strigi)
macro_log_feature(STRIGI_FOUND "Strigi" "Desktop indexing and search support" "http://strigi.sourceforge.net" TRUE "${STRIGI_MIN_VERSION}" "Required by some critical kioslaves")

set(LIBATTICA_MIN_VERSION "0.1.90")
find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "Support for Get Hot New Stuff" "git clone git://git.kde.org/attica" TRUE "${LIBATTICA_MIN_VERSION}" "")

#optional features
if(X11_FOUND)
  #X11_Xrender discovery is done by FindX11
  macro_log_feature(X11_Xrender_FOUND "X Rendering Extension (libXrender)" "Support for compositing, rendering operations, and alpha-blending" "http://www.x.org" FALSE "" "STRONGLY RECOMMENDED")
  macro_bool_to_01(X11_Xscreensaver_FOUND HAVE_XSCREENSAVER)
  macro_bool_to_01(X11_XSync_FOUND HAVE_XSYNC)
  macro_log_feature(HAVE_XSCREENSAVER "X Screensaver Extension (libXss)" "Support for KIdleTime (fallback mode)" "http://www.x.org/" FALSE "" "")
  macro_log_feature(HAVE_XSYNC "X Sync Extension (libXext)" "Efficient operation of KIdleTime" "http://www.x.org/" FALSE "" "STRONGLY RECOMMENDED")

  if(NOT HAVE_XSYNC AND NOT HAVE_XSCREENSAVER)
    message(FATAL_ERROR "\nNeither the XSync (libXext) nor XScreensaver (libXss) development package was found.\nPlease install one of them (XSync is recommended)\n")
  endif(NOT HAVE_XSYNC AND NOT HAVE_XSCREENSAVER)
endif(X11_FOUND)

macro_optional_find_package(BZip2)
macro_log_feature(BZIP2_FOUND "BZip2" "Support for BZip2 compressed files and data streams" "http://www.bzip.org" FALSE "" "STRONGLY RECOMMENDED")

macro_optional_find_package(LibLZMA)
macro_log_feature(LIBLZMA_FOUND "LZMA/XZ" "Support for xz compressed files and data streams" "http://tukaani.org/xz/" FALSE "" "")

macro_optional_find_package(OpenSSL)
macro_log_feature(OPENSSL_FOUND "OpenSSL" "Support for secure network communications (SSL and TLS)" "http://openssl.org" FALSE "" "STRONGLY RECOMMENDED: KDE uses OpenSSL for the bulk of secure communications, including secure web browsing via HTTPS")

macro_optional_find_package(Libintl)
macro_log_feature(LIBINTL_FOUND "Libintl" "Support for multiple languages" "http://www.gnu.org/software/gettext" FALSE "" "STRONGLY RECOMMENDED: Enables KDE to be available in many different languages")

macro_optional_find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "Support for hardware-accelerated graphics" "http://mesa3d.sourceforge.net" FALSE "" "STRONGLY RECOMMENDED: The 3D hardware acceleration available through the OpenGL API is used in applications ranging from graphics and modellers to screensavers and video players")

set(SOPRANO_MIN_VERSION "2.5.60")
macro_optional_find_package(Soprano ${SOPRANO_MIN_VERSION} COMPONENTS PLUGIN_RAPTORPARSER PLUGIN_REDLANDBACKEND)
macro_log_feature(SOPRANO_FOUND "Soprano" "Support for the Nepomuk semantic desktop system" "http://soprano.sourceforge.net" FALSE "${SOPRANO_MIN_VERSION}" "")
macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano Raptor Parser" "Support for the Nepomuk semantic desktop system" "http://soprano.sourceforge.net" FALSE "" "")
macro_log_feature(SOPRANO_PLUGIN_REDLANDBACKEND_FOUND "Soprano Redland Backend" "Support for the Nepomuk semantic desktop system" "http://soprano.sourceforge.net" FALSE "" "")

set(SHAREDDESKTOPONTOLOGIES_MIN_VERSION 0.5)
macro_optional_find_package(SharedDesktopOntologies ${SHAREDDESKTOPONTOLOGIES_MIN_VERSION})
macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Support for the Nepomuk semantic desktop system" "http://oscaf.sourceforge.net" FALSE "${SHAREDDESKTOPONTOLOGIES_MIN_VERSION}" "")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Support for remote plasma widgets" "http://delta.affinix.com/qca" FALSE "2.0.0" "")

find_package(DBusMenuQt)
macro_log_feature(DBUSMENUQT_FOUND "DBusMenuQt" "Support for notification area menus via the DBusMenu protocol" "git clone git://gitorious.org/dbusmenu/dbusmenu-qt.git" TRUE "" "")

################# Disallow in-source build #################

macro_ensure_out_of_source_build("kdelibs requires an out of source build. Please create a separate build directory and run 'cmake path_to_kdelibs [options]' there.")

# ... and warn in case of an earlier in-source build
set(generatedFileInSourceDir EXISTS ${kdelibs_SOURCE_DIR}/kdemacros.h OR EXISTS ${kdelibs_SOURCE_DIR}/config.h)
if(${generatedFileInSourceDir})
   message(STATUS "kdemacros.h or config.h exists in your source directory.")
   message(FATAL_ERROR "Please run svn-clean, it would seem that your source directory has generated files in it.")
endif(${generatedFileInSourceDir})
#########################################################################

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)


################# setup the include directories #################

# for including config.h and for includes like <kparts/foo.h>
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/interfaces)

if(QCA2_FOUND)
    include_directories(
        ${QCA2_INCLUDE_DIR}
    )
endif(QCA2_FOUND)


# Those variables for  are only valid inside of kdelibs, of course.
# Use the one variable for the lib you depend upon.
# E.g. kdeui uses ${KDE4_KDECORE_INCLUDES}. Something that depends on kparts uses ${KDE4_KPARTS_INCLUDES}.

set(KDE4_KJS_INCLUDES ${CMAKE_SOURCE_DIR}/kjs
                      ${CMAKE_BINARY_DIR}/kjs)
                      
if(NOT WINCE)
    set(KDE4_KDECORE_INCLUDES ${KDE4_KJS_INCLUDES} )
endif(NOT WINCE)

# kdecore depends on Qt (need only headers from kjs)
set(KDE4_KDECORE_INCLUDES ${KDE4_KDECORE_INCLUDES}
                          ${CMAKE_SOURCE_DIR}/kdecore
                          ${CMAKE_BINARY_DIR}/kdecore
                          ${CMAKE_SOURCE_DIR}/kdecore/compression
                          ${CMAKE_SOURCE_DIR}/kdecore/config
                          ${CMAKE_SOURCE_DIR}/kdecore/date
                          ${CMAKE_SOURCE_DIR}/kdecore/io
                          ${CMAKE_SOURCE_DIR}/kdecore/jobs
                          ${CMAKE_SOURCE_DIR}/kdecore/kernel
                          ${CMAKE_SOURCE_DIR}/kdecore/auth
                          ${CMAKE_SOURCE_DIR}/kdecore/network
                          ${CMAKE_SOURCE_DIR}/kdecore/services
                          ${CMAKE_SOURCE_DIR}/kdecore/localization
                          ${CMAKE_SOURCE_DIR}/kdecore/sycoca
                          ${CMAKE_SOURCE_DIR}/kdecore/text
                          ${CMAKE_SOURCE_DIR}/kdecore/util
                          ${CMAKE_SOURCE_DIR}/kdecore/sonnet
                          ${QT_INCLUDES}
                          ${_KDE4_PLATFORM_INCLUDE_DIRS})
# kdeui depends on kdecore
set(KDE4_KDEUI_INCLUDES ${CMAKE_SOURCE_DIR}/kdeui
                        ${CMAKE_SOURCE_DIR}/kdeui/actions
                        ${CMAKE_SOURCE_DIR}/kdeui/colors
                        ${CMAKE_SOURCE_DIR}/kdeui/config
                        ${CMAKE_SOURCE_DIR}/kdeui/dialogs
                        ${CMAKE_SOURCE_DIR}/kdeui/findreplace
                        ${CMAKE_SOURCE_DIR}/kdeui/fonts
                        ${CMAKE_SOURCE_DIR}/kdeui/icons
                        ${CMAKE_SOURCE_DIR}/kdeui/itemviews
                        ${CMAKE_SOURCE_DIR}/kdeui/jobs
                        ${CMAKE_SOURCE_DIR}/kdeui/kernel
                        ${CMAKE_SOURCE_DIR}/kdeui/notifications
                        ${CMAKE_SOURCE_DIR}/kdeui/paged
                        ${CMAKE_SOURCE_DIR}/kdeui/plotting
                        ${CMAKE_SOURCE_DIR}/kdeui/shortcuts
                        ${CMAKE_SOURCE_DIR}/kdeui/sonnet
                        ${CMAKE_SOURCE_DIR}/kdeui/util
                        ${CMAKE_SOURCE_DIR}/kdeui/widgets
                        ${CMAKE_SOURCE_DIR}/kdeui/windowmanagement
                        ${CMAKE_SOURCE_DIR}/kdeui/xmlgui
                        ${KDE4_KDECORE_INCLUDES})

# kio depends on kdeui
set(KDE4_KIO_INCLUDES ${CMAKE_SOURCE_DIR}/kio
                      ${CMAKE_SOURCE_DIR}/kio/bookmarks
                      ${CMAKE_SOURCE_DIR}/kio/kio
                      ${CMAKE_SOURCE_DIR}/kio/kfile
                      ${KDE4_KDEUI_INCLUDES})

# kpty
set(KDE4_KPTY_INCLUDES ${CMAKE_SOURCE_DIR}/kpty ${KDE4_KIO_INCLUDES} )

# kparts depends on kio
set(KDE4_KPARTS_INCLUDES ${CMAKE_SOURCE_DIR}/kparts
                         ${KDE4_KIO_INCLUDES})

# kde3support depends on kparts
set(KDE4_KDE3SUPPORT_INCLUDES ${CMAKE_SOURCE_DIR}/kde3support
                              ${CMAKE_SOURCE_DIR}/kde3support/kdecore
                              ${CMAKE_SOURCE_DIR}/kde3support/kdeui
                              ${CMAKE_SOURCE_DIR}/kde3support/kio
                              ${KDE4_KPARTS_INCLUDES})

if(NOT WINCE)
 set(KDE4_KHTML_INCLUDES ${CMAKE_SOURCE_DIR}/khtml)
endif(NOT WINCE)


################# configure checks and create the configured files #################

if(WINCE)
  set(STATIC_LIBRARY ON)
  add_definitions(-DSTATIC_INSTALL_PATH=L\\\"/programme/kde\\\")
endif(WINCE)

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDELIBS_STATIC_LIBS)
  message(STATUS "Building kdelibs as static libraries")

=== debian/changelog ===
kde4libs (4:4.6.2-0ubuntu4) natty; urgency=low

  * Add kubuntu_81_fix_solid_network_status.diff to fix Solid reporting the
    network status as "unknown" improperly.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 19 Apr 2011 00:03:52 -0400

kde4libs (4:4.6.2-0ubuntu3) natty; urgency=low

  * Fix translation lookup of non-KDE desktop files which don't have a gettext
    context.
    - Update kubuntu_05_langpack_desktop_files.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 10 Apr 2011 23:43:09 +0200

kde4libs (4:4.6.2-0ubuntu2) natty; urgency=low

  * Add patches from upstream for plasma mobile
   - kubuntu_80-KIO-PreviewJob-Respect-the-enabled-plugins-from-Prev.diff
   - kubuntu_81-give-Corona-a-proper-private-header-in-private.diff
   - kubuntu_82-FEATURE-configurable-default-containment-plugin-name.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 13:52:38 +0100

kde4libs (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Update symbol files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Apr 2011 13:24:00 +0200

kde4libs (4:4.6.1-0ubuntu2) natty; urgency=low

  * Import kubuntu_02_no_direct_gl_usage.diff from upstream KDE
    - removes direct GL usage from glapplet, eliminates need to link against
      libGL

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 09 Mar 2011 15:18:04 +0100

kde4libs (4:4.6.1-0ubuntu1) natty; urgency=low

  [ Michał Zając ]
  * New upstream release
  * Refreshed kubuntu_06_user_disk_mounting.diff
  * Refreshed kubuntu_77_ksambashare.diff
  * Refreshed *.install files

  [ Jonathan Riddell ]
  * Add back kubuntu_77_no_kbookmark_write_error.diff workaround for LP:
    #627815

 -- Michał Zając <quintasan@kubuntu.org>  Sun, 27 Feb 2011 14:10:59 +0100

kde4libs (4:4.6.0-0ubuntu5) natty; urgency=low

  * Add missing samba headers to kdelibs5-dev.install
  * Update kubuntu_77_ksambashare.diff to master

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 16:40:23 +0000

kde4libs (4:4.6.0-0ubuntu4) natty; urgency=low

  * Update kubuntu_77_ksambashare.diff to master
  * Add kubuntu_78_hide_old_file_share.diff to hide the old file share tab

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Feb 2011 14:11:15 +0000

kde4libs (4:4.6.0-0ubuntu3) natty; urgency=low

  * Add kubuntu_77_ksambashare.diff with patch from git master to
    add Samba sharing support to libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Feb 2011 16:44:26 +0000

kde4libs (4:4.6.0-0ubuntu2) natty; urgency=low

  * In kdelibs5-plugins recommend ttf-dejavu-core not ttf-dejavu,
    saves disk space, thanks Felix Geyer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Feb 2011 14:56:15 +0000

kde4libs (4:4.6.0-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Reluctantly add kcm_ssl to kdelibs5-plugins, this should be in kdebase
  * Remove libhupnp-dev build-dep, not used by upstream in this release

  [ Scott Kitterman ]
  * Update libkatepartinterfaces4.symbols and libkdecore5.symbols for 4.5.95
    and confirm symbols on all architectures with pkgkde-symbolshelper
    - Thanks to Jonathan Thomas for verifying the missing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jan 2011 11:32:24 +0000

kde4libs (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream RC release
    - Refreshed patches
  * Add usr/include/krecentdirs.h to kdelibs5-dev.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Jan 2011 23:55:45 -0500

kde4libs (4:4.5.90-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release
  * Remove kubuntu_69_declare_debugger_pid.diff applied upstream
  * Remove kubuntu_77_no_kbookmark_write_error.diff applied upstream

  [ Jonathan Thomas ]
  * Get rid of missing symbols that were either private or pollution from
    linked libraries. (The KRating* move from libnepomuk to kdeui is not an
    ABI break since libnepomuk links against kdeui)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 17:00:17 -0500

kde4libs (4:4.5.85a-0ubuntu2) natty; urgency=low

  * Confirm symbols files on all archs with pkgkde-symbols helper
  * Update symbols files (still need to investigate where the missing went)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 08 Dec 2010 23:20:19 -0500

kde4libs (4:4.5.85a-0ubuntu1) natty; urgency=low

  * New upstream beta release
    - drop kubuntu_78_solid_trunk.diff and kubuntu_80_find_hupnp.diff, 
      applied upstream
    - disable 23_solid_no_double_build.diff, causes FTBFS
    - refresh kdelibs5-dev.install

 -- Philip Muskovac <yofel@gmx.net>  Mon, 06 Dec 2010 23:34:45 +0100

kde4libs (4:4.5.80a-0ubuntu6) natty; urgency=low

  * Fix the versioned break on libkwebkit-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 03 Dec 2010 14:19:06 -0500

kde4libs (4:4.5.80a-0ubuntu5) natty; urgency=low

  * Correct kdelibs5-dev breaks version for libkwebkit-dev (<< 0.9~svn1123738)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Dec 2010 14:01:57 -0500

kde4libs (4:4.5.80a-0ubuntu4) natty; urgency=low

  * Bump various replaces to 4.5.80 for moved files

 -- Philip Muskovac <yofel@gmx.net>  Wed, 01 Dec 2010 21:33:23 +0100

kde4libs (4:4.5.80a-0ubuntu2) natty; urgency=low

  * Build-dep on libhupnp-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 Nov 2010 11:40:31 +0000

kde4libs (4:4.5.80a-0ubuntu1) natty; urgency=low

  [ Scott Kitterman ]
  * New upstream beta release
    - Refreshed all patches
    - Updated debian/patches/10_make_libkdeinit4_private.diff to use Qfile
      instead of Qstring in kdecore/kernel/kstandarddirs_unix.cpp
    - Updated debian/patches/kubuntu_01_kubuntu_useragent.diff to provide
      Kubuntu in the Konqueror user agen string with the changes in
      kio/kio/kprotocolmanager.cpp
    - Partially updated debian/patches/kubuntu_05_langpack_desktop_files.diff
      and left the balance in kdecore/localization/klocale.cpp.rej for later
      revision


=== debian/control ===
Source: kde4libs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.2.3), cmake (>= 2.6.4), pkg-kde-tools (>= 0.9), po-debconf,
 shared-mime-info (>= 0.30), dpkg-dev (>= 1.15.5), libphonon-dev (>= 4:4.7.0really4.4.1-0ubuntu3),
 libqt4-dev (>= 4:4.7.0), libqt4-opengl-dev (>= 4:4.7.0),
 libpng-dev, libssl-dev, libsm-dev, flex, bison,
 libsoprano-dev (>= 2.5.60), libstreamanalyzer-dev (>= 0.6.3),
 libxml2-dev, libxml2-utils, libxslt1-dev, libgif-dev,
 libavahi-common-dev, libbz2-dev, libenchant-dev,
 libjasper-dev, libopenexr-dev, libpcre3-dev, zlib1g-dev, libjpeg-dev, hspell,
 libenchant-dev, libacl1-dev, automoc (>= 1.0~version-0.9.88),
 libutempter-dev, liblzma-dev, libattica-dev (>= 0.2), shared-desktop-ontologies (>= 0.5),
 libpolkit-qt-1-dev, libxss-dev, libqca2-dev, libdbusmenu-qt-dev, docbook-xml, docbook-xsl,
 libxrender-dev, libkrb5-dev, sharutils, libqtwebkit-dev, libgrantlee-dev (>= 0.1.7), 
 libudev-dev
Standards-Version: 3.9.1
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdelibs/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdelibs/ubuntu

Package: libkdecore5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdebase-runtime (<< 4:4.4), kdelibs5-data (<< 4:4.2.2)
Description: the KDE Platform Core Library
 All KDE Applications use this library to provide basic functionality such as
 the configuration system, IPC, internationalization and locale support,
 site-independent access to the filesystem and a large number of other (but no
 less important) things. The classes in this library does not require linkage
 to QtGui or any other library that requires a graphical interface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdeui5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (>= ${source:Version})
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Suggests: hspell
Description: the KDE Platform User Interface Library
 This library provides standard user interface elements for use in KDE
 Applications. If your KDE Application has a GUI, you will almost certainly
 link to this library.
 .
 A spell-checker functionality is also provided. Sonnet offers easy access to
 International ISpell or ASpell as well as a spell-checker GUI ("Add",
 "Replace", etc.).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkpty4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the Pseudo Terminal Library for the KDE Platform
 This library provides primitives to interface with pseudo terminal devices as
 well as a KProcess derived class for running child processes and communicating
 with them using a pty.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdesu5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xauth
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the Console-mode Authentication Library for the KDE Platform
 This library provides functionality for building GUI front ends for (password
 asking) console mode programs. For example, kdesu and kdessh use it to
 interface with su and ssh respectively.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsapi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the KJS API Library for the KDE Development Platform
 This library provides an ECMAScript compatible interpreter. The ECMA standard
 is based on well known scripting languages such as Netscape's JavaScript and
 Microsoft's JScript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsembed4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: library for binding JavaScript objects to QObjects
 This library provides a method of binding JavaScript objects to QObjects, so
 you can script your applications. It also provides an interface for running
 embedded Javascript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkio5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-plugins (= ${binary:Version})
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: the Network-enabled File Management Library for the KDE Platform
 This library implements almost all the file management functions you will ever
 need. In fact, the KDE file manager, Konqueror also uses this to provide its
 network-enabled file management. This library also implements the KDE file
 selector widget.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkntlm4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the NTLM Authentication Library for the KDE Platform
 This library is useful for creating the authentication structures which
 can be used for various servers which implement NTLM type authentication. A
 comprehensive description of the NTLM authentication protocol can be found at
 http://davenport.sourceforge.net/ntlm.html
 .
 The library also provides subroutines to create the LanManager and NT (MD4)
 hashes of a password.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libsolid4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: Solid Library for KDE Platform
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of the KDE Development Platform libraries module.
Homepage: http://solid.kde.org/

Package: libkde3support4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the KDE 3 Support Library for the KDE 4 Platform
 The classes here are only for convenience of porting from KDE 3 to KDE 4
 Platform. They are not supposed to be used for a long time. You should move on
 to replacement classes provided by the framework or implement something
 yourself in the long run.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkfile4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: the File Selection Dialog Library for KDE Platform
 This library provides the file selection dialog and its components.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff2-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (= ${source:Version})
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the "Get Hot New Stuff" v2 Library for the KDE Platform
 The KNewStuff2 ("Get Hot New Stuff" v2)  library adds data sharing
 capabilities to KDE Applications. Technically, it implements the GHNS and DXS
 specifications. The library consists of three parts: the data management core
 and GHNS protocol implementation, the DXS web service handler, and the user
 interface classes like dialogs and buttons.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff3-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (= ${source:Version})
Replaces: kdelibs5 (<< 4:4.4.60)
Description: the "Get Hot New Stuff" v3 Library for the KDE Platform
 The KNewStuff3 ("Get Hot New Stuff" v3) library adds data sharing capabilities
 to the KDE Applications. It uses libattica to access Open Collaboration
 Services providers. In addition the static XML from GHNS is supported.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkparts4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: the Framework for the KDE Platform Graphical Components
 This library implements the framework for reusable KDE components (kparts),
 which are elaborate widgets with a user-interface defined in terms of actions
 (menu items, toolbar icons).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: dummy transitional library
 This library has been split into libkcmutils4, libkprintutils4,
 libkidletime4 and libkemoticons4. This binary is provided to keep
 binary compatibility with software that was compiled against it.
 New software should not link against this library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libthreadweaver4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60) 
Description: the ThreadWeaver Library for the KDE Platform
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkhtml5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-plugins (= ${binary:Version})
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: the KHTML Web Content Rendering Engine
 This library provides the component based on the KDE parts framework that can
 be used to embed a fully-fledged HTML browser widget in any KDE Application.
 This library uses the KHTML Web Content Rendering Engine to rendering.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkimproxy4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60) 
Description: the Instant Messaging Interface Library for the KDE Platform
 This library provides an easy-to-use interface to any instant messengers or
 chat programs that implement KIMIface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkmediaplayer4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60) 
Description: the KMediaPlayer Interface for the KDE Platform
 KMediaPlayer provides an API for re-usable media player components. The main
 class (KMediaPlayer::Player) provides all the necessary media player
 operations, with an optional GUI to control them.
 .
